Skip to main content
PUT
/
workflows
/
{workflow_id}
Update Workflow
curl --request PUT \
  --url https://api.example.com/workflows/{workflow_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "nodes": [
    {
      "id": "<string>",
      "type": "<string>",
      "name": "<string>",
      "isStart": false,
      "metadata": {},
      "prompt": "<string>",
      "messagePlan": {
        "firstMessage": "<string>",
        "idleMessages": [
          "<string>"
        ],
        "idleMessageMaxSpokenCount": 123
      },
      "variableExtractionPlan": {
        "output": [
          {
            "title": "<string>",
            "type": "string",
            "enum": [
              "<string>"
            ],
            "description": "<string>"
          }
        ]
      },
      "globalNodePlan": {
        "enabled": true,
        "enterCondition": "<string>"
      },
      "tool": {
        "type": "<string>",
        "tool_key": "<string>",
        "function": {},
        "messages": [
          {}
        ],
        "destinations": [
          "<string>"
        ],
        "parameters": {}
      },
      "tool_instances": [
        {
          "instance_name": "<string>",
          "parameters": {}
        }
      ],
      "config": {}
    }
  ],
  "edges": [
    {
      "from": "<string>",
      "to": "<string>",
      "condition": "always"
    }
  ],
  "global_nodes": [
    "<string>"
  ],
  "status": "<string>"
}
'
import requests

url = "https://api.example.com/workflows/{workflow_id}"

payload = {
    "name": "<string>",
    "description": "<string>",
    "nodes": [
        {
            "id": "<string>",
            "type": "<string>",
            "name": "<string>",
            "isStart": False,
            "metadata": {},
            "prompt": "<string>",
            "messagePlan": {
                "firstMessage": "<string>",
                "idleMessages": ["<string>"],
                "idleMessageMaxSpokenCount": 123
            },
            "variableExtractionPlan": { "output": [
                    {
                        "title": "<string>",
                        "type": "string",
                        "enum": ["<string>"],
                        "description": "<string>"
                    }
                ] },
            "globalNodePlan": {
                "enabled": True,
                "enterCondition": "<string>"
            },
            "tool": {
                "type": "<string>",
                "tool_key": "<string>",
                "function": {},
                "messages": [{}],
                "destinations": ["<string>"],
                "parameters": {}
            },
            "tool_instances": [
                {
                    "instance_name": "<string>",
                    "parameters": {}
                }
            ],
            "config": {}
        }
    ],
    "edges": [
        {
            "from": "<string>",
            "to": "<string>",
            "condition": "always"
        }
    ],
    "global_nodes": ["<string>"],
    "status": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    description: '<string>',
    nodes: [
      {
        id: '<string>',
        type: '<string>',
        name: '<string>',
        isStart: false,
        metadata: {},
        prompt: '<string>',
        messagePlan: {
          firstMessage: '<string>',
          idleMessages: ['<string>'],
          idleMessageMaxSpokenCount: 123
        },
        variableExtractionPlan: {
          output: [
            {title: '<string>', type: 'string', enum: ['<string>'], description: '<string>'}
          ]
        },
        globalNodePlan: {enabled: true, enterCondition: '<string>'},
        tool: {
          type: '<string>',
          tool_key: '<string>',
          function: {},
          messages: [{}],
          destinations: ['<string>'],
          parameters: {}
        },
        tool_instances: [{instance_name: '<string>', parameters: {}}],
        config: {}
      }
    ],
    edges: [{from: '<string>', to: '<string>', condition: 'always'}],
    global_nodes: ['<string>'],
    status: '<string>'
  })
};

fetch('https://api.example.com/workflows/{workflow_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "nodes": [
    {}
  ],
  "edges": [
    {}
  ],
  "status": "<string>",
  "version": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "global_nodes": [
    "<string>"
  ]
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workflow_id
string<uuid>
required

Body

application/json

Workflow update model.

name
string | null
Required string length: 1 - 255
description
string | null
nodes
WorkflowNode · object[] | null
edges
WorkflowEdge · object[] | null
global_nodes
string[] | null
status
string | null
Pattern: ^(draft|active|archived)$

Response

Successful Response

Workflow response model.

id
string<uuid>
required
tenant_id
string<uuid>
required
name
string
required
nodes
Nodes · object[]
required
edges
Edges · object[]
required
status
string
required
version
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
global_nodes
string[] | null